<?php

//////////////////////////////////////////////////////////////////
// Backlink Booster - The ultimate way to make every single
// backlink 1000% more powerful than every before!
//
// Copyright 2009 - Sean Donahoe - The Manic Marketer
// All rights reserved
//////////////////////////////////////////////////////////////////

// if the config does not exists, redirect to install.php
if (!file_exists("config.php")){
	header('Location: install.php');
	exit;
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Backlink Booster</title>
<link rel="stylesheet" href="style.css" type="text/css" media="screen" />
<META NAME="ROBOTS" CONTENT="NOINDEX, NOFOLLOW">
</head>
<body>
<img src="images/blblogo.png">
<h1>Boost Your SEO and Each Backlink's Potential Value</h1>
<?

require_once ("config.php");






// Check the install script is not in place...
if (file_exists("install.php")){
	error ("Please delete the install.php file as it presents a security risk if left in place.");
}

if (empty($_REQUEST["url"]) || empty($_REQUEST["title"]) || empty($_REQUEST["skey"])){
	error ("It looks like you did not press the button yet...");
}

$skey=urldecode($_REQUEST["skey"]);
if ($skey!=$secretkey){
	error ("Did You Press The Button? Check Your Button and the SKEY Per The Instructions...");
}

$url=urldecode($_REQUEST["url"]);
$title=urldecode($_REQUEST["title"]);
$description=urldecode($_REQUEST["description"]);

// Now, which step are we on?
$action=$_REQUEST["action"];

switch ($action) {
    case 1:
    	$pingsites=loadpingsites();
        processit();
        break;
    default:
       getdata();
}

function getdata(){
	global $description,$url,$title,$db,$skey;
	
	title ("Checking Data For Your Link...");
	
	info ("Title",$title);
	info ("URL","<a href='$url'>$url</a>");	
	
	if (empty($url)){
		error ("No url referred... exiting");
	}
	
	$timestamp = $db->get_var("select timestamp from blbooster where link='".addslashes("$url")."'");
		
	if ($timestamp){
		error ("This link already exists in the database... exiting");
	}
		
	/////////////////////////////////////////////////////
	// Get Site Details....
	/////////////////////////////////////////////////////

	$result = getUrlData($url);
	if (empty($title)){
		$title=$result["title"];	
	}
	
	$description=$result["metaTags"]["description"]["value"];
	
	if (empty($title) || empty($description)){
		$mainurl="http://".parse_url($url, PHP_URL_HOST);
		$result = getUrlData($mainurl);
		
		if (empty($description)){
			$description=$result["metaTags"]["description"]["value"];	
			$tags=$result["metaTags"]["keywords"]["value"];
		}
		
		if (!empty($title)){
			$title=$result["title"];
		}
	}
	
	// If that did not do it them lets build from our base list of fill ins
	if (empty($description)){
		$sitecontents=getUrlContents($url);
		$description=first_sentence($sitecontents);
		info ("Description","Creating New Description As Could Not Get One From Site");
		
		// If we still could not get one then lets try the homepage!
		if (empty($description)){
			$mainurl="http://".parse_url($url, PHP_URL_HOST);
			$sitecontents=getUrlContents($mainurl);
			$description=first_sentence($sitecontents);	
		}
	}
	
	$description = trim(preg_replace('/\s\s+/', ' ', $description));
	$title = trim(preg_replace('/\s\s+/', ' ', $title));
	$url = trim(preg_replace('/\s\s+/', ' ', $url));
	title("Confirm The Links Information");
?>

<form name="boostit" method="post" action="index.php" style="margin:0px;">
<table width="600" border="0" cellspacing="0" cellpadding="10">
  <tr>
    <td width="60" valign=top><strong>Title:</strong></td>
    <td width="auto" valign=top><input type="text" name="title" value="<?php echo $title; ?>" class="tinput" style="width:100%;"></td>
  </tr>
  <tr>
    <td valign=top><strong>Description:</strong></td>
    <td valign=top><textarea name="description" rows="5" style="width:100%" class="tinput"><?php echo $description; ?></textarea><BR><small><B>Recommended</B> - 200 characters or more and use your keywords where possible</small></td>
  </tr>
    <tr>
    <td colspan="2"><div align="center"><input type="image" src="images/letsrock.png" name=submit value=submit ></div></td>
    </tr>
</table>
<input type="hidden" name="url" value="<?php echo urlencode($url); ?>">
<input type="hidden" name="skey" value="<?php echo urlencode($skey); ?>">
<input type="hidden" name="action" value="1">
</form>
<?	
	
}


function processit(){
	global $description,$url,$title,$db,$skey,$pingsites,$pingfm_enable,$onlywire_enable,$pinging_enable;
	// Quick Validation
	if (empty($url)){
		error("There is no URL to Process...");
	}

	if (empty($title)){
		error("The title is empty, please go back and make sure you added one");
	}
	
	if (empty($description)){
		error("There is no description, please go back and add one!");
	}
	
	title ("Adding Link To The Database For Promotion");

	// Clean The Data...
	$description = preg_replace('/\s\s+/', ' ', $description);
	$title = preg_replace('/\s\s+/', ' ', $title);
	$url = preg_replace('/\s\s+/', ' ', $url);
	
	info ("URL",$url);
	info ("Title",$title);
	info ("Description",$description);
	
	$id = $db->get_var("select id from blbooster where 1 order by id desc");
	$cid=$id+1;
	$db->query("insert into blbooster values ($cid,'".addslashes($url)."','".addslashes($title)."','".addslashes($description)."','".time()."'  ); ");	
	
	subtitle ("Successfully Added Site To Database");
	
	if ($pinging_enable=="Y"){	
		title ("Pinging The URL To Make Sure It Gets Indexed Quickly");
		pingit($url,urlencode($title),$pingsites);
	}
	
	if ($pingfm_enable=="Y"){	
		title ("Sending This Link Directly To Ping.FM For Web 2.0 Transmission");
		pingfmit($description,$title,$url);
	}
		
	if ($onlywire_enable=="Y"){
		title ("If you have an Onlwire Account You Can Social Bookmark This Link Now...");
    	info ("","Auto Social Bookmarking: <B><a target='_blank' href=\"http://onlywire.com/b/bmnoframe?u=".rawurlencode($url)."&t=".rawurlencode($title)."\">Submit This To Onlywire Now >></a></b>");
	}
	
	title ("Saving URL To URL List for Import To Social Bookmarking Systems");
	saveit($url);
	
	title ("All Done... That Backlink Was Officially Boosted!");	
	info ("","Check your <a href='blbrss.php'><B>Backlink Booster RSS Feed</B></a> here<BR><BR><BR>");
}



footer();
?>


</body>
</html>



