<?php

//////////////////////////////////////////////////////////////////
// Backlink Booster - The ultimate way to make every single
// backlink 1000% more powerful than every before!
//
// Copyright 2009 - Sean Donahoe - The Manic Marketer
// All rights reserved
//////////////////////////////////////////////////////////////////


/////////////////////////////////////////////////////
// Functions
///////////////////////////////////////////////////// 
function loadpingsites(){
	if (file_exists('pingsites.txt')){
			$lines = file('pingsites.txt');
			foreach ($lines as $line){
				$pingsite=trim($line);
				$pingsites[]="http://".$pingsite;
			}		
			$cleanlist=array_unique($pingsites);				
			return $cleanlist;
	}else{
		error("Could not find pingsites.txt for ping list");
	}
}




function get_contents($filename, $incpath = false, $resource_context = null)
{
          if (false === $fh = fopen($filename, 'rb', $incpath)) {
              trigger_error('get_contents() failed to open stream: No such file or directory', E_USER_WARNING);
              return false;
          }
 
          clearstatcache();
          if ($fsize = @filesize($filename)) {
              $data = fread($fh, $fsize);
          } else {
              $data = '';
              while (!feof($fh)) {
                  $data .= fread($fh, 8192);
      	        }
   }
 
   fclose($fh);
   return $data;
}


function curl_get_file_contents($URL)
{            
    $options = array(
        CURLOPT_RETURNTRANSFER => true,     // return web page
        CURLOPT_HEADER         => false,    // don't return headers
        CURLOPT_FOLLOWLOCATION => true,     // follow redirects
        CURLOPT_ENCODING       => "",       // handle all encodings
        CURLOPT_USERAGENT      => "spider", // who am i
        CURLOPT_AUTOREFERER    => true,     // set referer on redirect
        CURLOPT_CONNECTTIMEOUT => 120,      // timeout on connect
        CURLOPT_TIMEOUT        => 120,      // timeout on response
        CURLOPT_MAXREDIRS      => 10,       // stop after 10 redirects
    );

    $ch      = curl_init( $url );
    curl_setopt_array( $ch, $options );
    $content = curl_exec( $ch );
    $err     = curl_errno( $ch );
    $errmsg  = curl_error( $ch );
    $header  = curl_getinfo( $ch );
    curl_close( $ch );


	if (empty($content)){
		$content=get_contents($URL);
	}

    return $content;       
                       
}
 
    
  
function pingfmit($desc,$title,$url){
GLOBAL $pingfm_api;
	try {
	    $wrapper = new PingFM_Wrapper;
	    $wrapper->dev_api = '41121eb3a56f921bc2957b2458d65bad';
	    $wrapper->user_api = $pingfm_api;
	
		$gdurl=get_isgd_url($url);
		$blogbody=$message."<BR><BR><a href='$gdurl'>$gdurl</a>";
		$mblogbody=$title." >> ".$gdurl;
		
	    if ( $wrapper->act('post', array('post_method' => 'blog', 'title' => $title, 'body' => $blogbody)) ) echo '- Your Ping.FM Blog Status Was Updated<BR>';
		if ( $wrapper->act('post', array('post_method' => 'microblog', 'body' => $mblogbody)) ) echo '- Your Ping.FM Microblog Status Was Updated<BR>';
	}
	catch ( exception $e ) {
	    error ($e->getMessage());
	} 	
		
}


function get_isgd_url($url)
{
 //get content
 $ch = curl_init();
 $timeout = 5;
 curl_setopt($ch,CURLOPT_URL,'http://is.gd/api.php?longurl='.$url);
 curl_setopt($ch,CURLOPT_RETURNTRANSFER,1);
 curl_setopt($ch,CURLOPT_CONNECTTIMEOUT,$timeout);
 $content = curl_exec($ch);
 curl_close($ch);

 //return the data
 return $content;
} 


function gethost (){
	$hostname=$_SERVER['SERVER_NAME'];
	if (empty($hostname)){
		$hostname=$_SERVER['HTTP_HOST'];
	}
	if (empty($hostname)){
		error("Cannot detect local host domain");
	}
	return $hostname;
}

function getUrlData($url)
{
    $result = false;
    $contents = getUrlContents($url);
    if (isset($contents) && is_string($contents))
    {
        $title = null;
        $metaTags = null;     
        preg_match('/<title>([^>]*)<\/title>/si', $contents, $match );
        if (isset($match) && is_array($match) && count($match) > 0)
        {
            $title = strip_tags($match[1]);
        }

        preg_match_all('/<[\s]*meta[\s]*name="?' . '([^>"]*)"?[\s]*' . 'content="?([^>"]*)"?[\s]*[\/]?[\s]*>/si', $contents, $match);       
        if (isset($match) && is_array($match) && count($match) == 3)
        {
            $originals = $match[0];
            $names = $match[1];
            $values = $match[2];
           
            if (count($originals) == count($names) && count($names) == count($values))
            {
                $metaTags = array();
               
                for ($i=0, $limiti=count($names); $i < $limiti; $i++)
                {
                    $metaTags[$names[$i]] = array (
                        'html' => htmlentities($originals[$i]),
                        'value' => $values[$i]
                    );
                }
            }
        }
       
        $result = array (
            'title' => $title,
            'metaTags' => $metaTags
        );
    }
   
    return $result;
}

function getUrlContents($url, $maximumRedirections = null, $currentRedirection = 0)
{
    $result = false;
    $contents = curl_get_file_contents($url);
    // Check if we need to go somewhere else 
    if (isset($contents) && is_string($contents))
    {
        preg_match_all('/<[\s]*meta[\s]*http-equiv="?REFRESH"?' . '[\s]*content="?[0-9]*;[\s]*URL[\s]*=[\s]*([^>"]*)"?' . '[\s]*[\/]?[\s]*>/si', $contents, $match);
        if (isset($match) && is_array($match) && count($match) == 2 && count($match[1]) == 1)
        {
            if (!isset($maximumRedirections) || $currentRedirection < $maximumRedirections)
            {
                return getUrlContents($match[1][0], $maximumRedirections, ++$currentRedirection);
            }
            $result = false;
        }
        else
        {
            $result = $contents;
        }
    } 
    return $contents;
}
    
     

function error($error) {
	echo "<h3><font color='red'>ERROR: - $error</font></h3>";
	logit(strip_tags($error));
	footer();
	exit;
}

function info($title="",$message) {
	$fullmessage="";
	if (!empty($title)){
		$fullmessage= "<B>$title:</B> ";
	}
	$fullmessage.="$message<BR>";
	echo $fullmessage;
	logit(strip_tags($fullmessage."\n"));
	return;
}

function title($message) {
	$fullmessage="<h2>$message</h2>";
	
	 $count=strlen(strip_tags($message));
	 $logdata=  "\n\n".strip_tags($message)."\n";
	 for($i = 0; $i < $count; $i++) {
	   $logdata.=  "-";
	 }
	 $logdata.= "\n";

	echo $fullmessage;
	logit($logdata);
	return;
}

function subtitle($message) {
	$fullmessage="<h3>$message</h3>";
	$logdata="### $message ###\n";

	echo $fullmessage;
	logit($logdata);
	return;
}

function logit($s){
GLOBAL $File, $log, $debug;
 	$s.="\n";
 
 	// Write to Log
 	if (!empty($log)){
 		$filename="$log";
	  	if(!$File->write_file($filename,$s))
	 	{
	    	echo "$File->ERROR <BR>\n";
	    	exit;
	 	}
	}
}

function spinit ($text){
	for ($j=0; $j< 10; $j++) {
	$pattern = '/\{([^{}]*)\}/si';
	preg_match_all($pattern,$text,$matches);
	for ($i=0; $i< count($matches[0]); $i++) {
	$search = explode("|",$matches[1][$i]);
	srand((float)microtime() * 1000000);
	shuffle($search);
	$text = str_replace($matches[0][$i],$search[0],$text);
	}
	}
	
	return $text;
}

function truncate($text,$numb,$etc = "...") {
$text = html_entity_decode($text, ENT_QUOTES);
if (strlen($text) > $numb) {
$text = substr($text, 0, $numb);
$text = substr($text,0,strrpos($text," "));

$punctuation = ".!?:;,-"; //punctuation you want removed

$text = (strspn(strrev($text),  $punctuation)!=0)
        ?
        substr($text, 0, -strspn(strrev($text),  $punctuation))
        :
$text;

$text = $text.$etc;
}
$text = htmlentities($text, ENT_QUOTES);
return $text;
}

function pingit ($url,$title,$pingsites){
	global $userAgent,$debug,$test;
	foreach ($pingsites as $pingurl){
		$pingurl=trim($pingurl);	
		$parts=parse_url($pingurl);
		$host=$parts["host"];
		$path=$parts["path"];
		if ($path[0]=="/"){$path=substr($path, 1);}
	
		if(!empty($host)) $pinglist[$host]=$path;
	}


	subtitle("Starting To Ping Services...");
		
	$xml= new DOMDocument('1.0');
	$xml->formatOutput=true;
	$xml->preserveWhiteSpace=false;
	$xml->substituteEntities=false;

	$methodCall=$xml->appendChild($xml->createElement('methodCall'));
	$methodName=$methodCall->appendChild($xml->createElement('methodName'));
	$params=$methodCall->appendChild($xml->createElement('params'));
	$param[1]=$params->appendChild($xml->createElement('param'));
	$value[1]=$param[1]->appendChild($xml->createElement('value'));
	$param[2]=$params->appendChild($xml->createElement('param'));
	$value[2]=$param[2]->appendChild($xml->createElement('value'));
	$methodName->nodeValue="weblogUpdates.ping";
	$value[1]->nodeValue=$title;
	$value[2]->nodeValue=urlencode($url);
	
	$xmlrpcReq = $xml->saveXML();
	$xmlrpcLength = strlen( $xmlrpcReq ); 

    // Proceed every link read from file
	foreach ( $pinglist as $host => $path)
	{
		$httpReq="";
		if ($test!="1"){
	    	echo "<dt><strong>Pinging Host: $host  </strong>"; 
		}else{
			echo "<dt><strong>Test Mode.. Would be Pinging: $host  </strong>"; 
		}
	
	    $httpReq  = "POST /" . $path . " HTTP/1.0\r\n";
	    $httpReq .= "User-Agent: " . $userAgent. "\r\n";
	    $httpReq .= "Host: " . $host . "\r\n";
	    $httpReq .= "Content-Type: text/xml\r\n";
	    $httpReq .= "Content-length: $xmlrpcLength\r\n\r\n";
	    $httpReq .= "$xmlrpcReq\r\n";
	    echo "</dt>";
	
	    if($debug)
	    { 
	    	echo "<dd><strong>Request:</strong><pre><span style=\"color: #cc9900\">".htmlentities($httpReq)."</span></pre>";
			echo "<strong>Answer</strong>:<span style=\"color: #99cc00\"><pre>";
	    }
		
		if ($test!="1"){
			if ( $pinghandle = @fsockopen( $host, 80 ) )
			{
			 	@fputs( $pinghandle, $httpReq );
				while ( ! feof( $pinghandle ) )
			 	{ 
			    	$pingresponse = @fgets( $pinghandle, 128 );
			    	if($debug) echo htmlentities($pingresponse);
			 	}
			 	@fclose( $pinghandle );
		    }	
		}
		
	    if($debug) echo "</span></pre></dd>";
   	}

}

function convertiso($string){
	
	if (function_exists('iconv')) {
		$newstring=iconv("UTF-8", "ASCII//TRANSLIT//IGNORE", $string);		
	}elseif(function_exists('mb_convert_encoding')){
		    // detect the character encoding of the incoming file
	    $encoding = mb_detect_encoding( $string, "auto" );
	      
	    // escape all of the question marks so we can remove artifacts from
	    // the unicode conversion process
	    $newstring = str_replace( "?", "[question_mark]", $string );
	      
	    // convert the string to the target encoding
	    $newstring = mb_convert_encoding( $newstring, "ISO-8859-1", $encoding);
	      
	    // remove any question marks that have been introduced because of illegal characters
	    $newstring = str_replace( "?", "", $newstring );
	      
	    // replace the token string "[question_mark]" with the symbol "?"
	    $newstring = str_replace( "[question_mark]", "?", $newstring );
	}else{
		$newstring=$string;
	}
	return $newstring;
}

function first_sentence($content) {
    $content = html_entity_decode(strip_tags_attributes($content));
    $pos = strpos($content, '.');
       
    if($pos === false) {
        return $content;
    }
    else {
        return substr($content, 0, $pos+1);
    }
   
}

function strip_tags_attributes($sSource, $aAllowedTags = array(), $aDisabledAttributes = array('onabort', 'onactivate', 'onafterprint', 'onafterupdate', 'onbeforeactivate', 'onbeforecopy', 'onbeforecut', 'onbeforedeactivate', 'onbeforeeditfocus', 'onbeforepaste', 'onbeforeprint', 'onbeforeunload', 'onbeforeupdate', 'onblur', 'onbounce', 'oncellchange', 'onchange', 'onclick', 'oncontextmenu', 'oncontrolselect', 'oncopy', 'oncut', 'ondataavaible', 'ondatasetchanged', 'ondatasetcomplete', 'ondblclick', 'ondeactivate', 'ondrag', 'ondragdrop', 'ondragend', 'ondragenter', 'ondragleave', 'ondragover', 'ondragstart', 'ondrop', 'onerror', 'onerrorupdate', 'onfilterupdate', 'onfinish', 'onfocus', 'onfocusin', 'onfocusout', 'onhelp', 'onkeydown', 'onkeypress', 'onkeyup', 'onlayoutcomplete', 'onload', 'onlosecapture', 'onmousedown', 'onmouseenter', 'onmouseleave', 'onmousemove', 'onmoveout', 'onmouseover', 'onmouseup', 'onmousewheel', 'onmove', 'onmoveend', 'onmovestart', 'onpaste', 'onpropertychange', 'onreadystatechange', 'onreset', 'onresize', 'onresizeend', 'onresizestart', 'onrowexit', 'onrowsdelete', 'onrowsinserted', 'onscroll', 'onselect', 'onselectionchange', 'onselectstart', 'onstart', 'onstop', 'onsubmit', 'onunload'))
{
    if (empty($aDisabledAttributes)) return strip_tags($sSource, implode('', $aAllowedTags));
	return preg_replace('/<(.*?)>/ie', "'<' . preg_replace(array('/javascript:[^\"\']*/i', '/(" . implode('|', $aDisabledAttributes) . ")[ \\t\\n]*=[ \\t\\n]*[\"\'][^\"\']*[\"\']/i', '/\s+/'), array('', '', ' '), stripslashes('\\1')) . '>'", strip_tags($sSource, implode('', $aAllowedTags)));
}

function rssDate($timestamp=null)
    {
        /*** set the timestamp ***/
        $timestamp = ($timestamp==null) ? time() : $timestamp;

        /*** Mon, 02 Jul 2009 11:36:45 +0000 ***/
        return date(DATE_RSS, $timestamp);
    }

function saveit($url){
	global $File;
	
	if (!is_writable("urls")){
		error("Your 'urls' folder is unwritable, please correct this");
	}
	// Check to see if todays file exists, if so, append it. If not create one...
	$filename=date("Y-m-d")."-urls.txt";
	info("URL File",$filename);
	if(!$File->write_file("urls/".$filename,$url."\n"))
	{
		echo "$File->ERROR <BR>\n";
		exit;
	}	
	
}

function footer(){
	echo "<B>Powered By <a href=\"http://themanicmarketer.com\">Backlink Booster</a> From <a href=\"http://themanicmarketer.com\">http://themanicmarketer.com</a></B><BR>
Copyright ". date ("Y") .", All Rights Reserved, The Manic Marketer.";
}

class crypt {
	var $keys;
	
	function crypt_key($ckey){
		$this->keys = array();
		
		$c_key = base64_encode(sha1(md5($ckey)));
		$c_key = substr($c_key, 0, round(ord($ckey{0})/5));
		
		$c2_key = base64_encode(md5(sha1($ckey)));
		$last = strlen($ckey) - 1;
		$c2_key = substr($c2_key, 1, round(ord($ckey{$last})/7));
		
		$c3_key = base64_encode(sha1(md5($c_key).md5($c2_key)));
		$mid = round($last/2);
		$c3_key = substr($c3_key, 1, round(ord($ckey{$mid})/9));
		
		$c_key = $c_key.$c2_key.$c3_key;
		$c_key = base64_encode($c_key);
		
		for($i = 0; $i < strlen($c_key); $i++){
			$this->keys[] = $c_key[$i];
		}
	}
	
	function encrypt($string){
		$string = base64_encode($string);
		$keys = $this->keys;
		for($i = 0; $i < strlen($string); $i++){
			$id = $i % count($keys);
			$ord = ord($string{$i});
			$ord = $ord OR ord($keys[$id]);
			$id++;
			$ord = $ord AND ord($keys[$id]);
			$id++;
			$ord = $ord XOR ord($keys[$id]);
			$id++;
			$ord = $ord + ord($keys[$id]);
			$string{$i} = chr($ord);
		}
		return base64_encode($string);
	}
	
	function decrypt($string){
		$string = base64_decode($string);
		$keys = $this->keys;
		for($i = 0; $i < strlen($string); $i++){
			$id = $i % count($keys);
			$ord = ord($string{$i});
			$ord = $ord XOR ord($keys[$id]);
			$id++;
			$ord = $ord AND ord($keys[$id]);
			$id++;
			$ord = $ord OR ord($keys[$id]);
			$id++;
			$ord = $ord - ord($keys[$id]);
			$string{$i} = chr($ord);
		}
		return base64_decode($string);
	}
}

/**
 * Danltn | http://danltn.com/
 * MSN: msn@danltn.com
 * Email: daniel@neville.tk
 * Started: 19/6/2008 16:01 (UK) 
 * Tested: No
 * PHP 4/5: 5
 * No warranty is given to code used
 */

/**
 * PingFM_Wrapper
 * 
 * @package   PingFM_Wrappers
 * @url       http://danltn.com
 * @desc      Package which allows easy interaction with the Ping.fm service
 * @author    Daniel Neville
 * @copyright 2008
 * @version   0.2b
 * @access    public
 * @license   GPL
 */
class PingFM_Wrapper
{
    /** Your API */
    public $dev_api;
    /** Users API */
    public $user_api;

    /** Actual reply code */
    public $reply;
    /** XML parsed with SimpleXML */
    public $xml;
    /** Details array returned, this is what you should use */
    public $details;

    /** Acceptable methods for API usage **/
    static public $methods = array( 'validate', 'services', 'triggers', 'latest', 'message', 'tpost', 'post' );
    /** Acceptable methods to use if we're using the post method **/
    static public $post_methods = array( 'blog', 'microblog', 'status' );

    /** All the URLs for different services **/
    const VALIDATE_URL = 'http://api.ping.fm/v1/user.validate';
    const SERVICES_URL = 'http://api.ping.fm/v1/user.services';
    const TRIGGERS_URL = 'http://api.ping.fm/v1/user.triggers';
    const MESSAGE_URL = 'http://api.ping.fm/v1/user.message';
    const LATEST_URL = 'http://api.ping.fm/v1/user.latest';
    const TPOST_URL = 'http://api.ping.fm/v1/user.tpost';
    const POST_URL = 'http://api.ping.fm/v1/user.post';

    /**
     * PingFM_Wrapper::__construct()
     * 
     * @param  mixed  $dev_api   Your developer API
     * @param  mixed  $user_api  The users API
     * @param  bool   $check     Should we run checks to make sure all the extensions are loaded?
     * @return void
     */
    public function __construct( $dev_api = null, $user_api = null, $check = true )
    {
        /** Construct class, runs on initialization **/
        if ( $check )
        {
            /** If the check parametre is set **/
            if ( !extension_loaded('curl') /** Is the cURL extension loaded? **/ )
            {
                throw new Exception( 'You don\'t have cURL loaded.' );
                /** If not, throw an exception **/
            }
            if ( !extension_loaded('SimpleXML') /** Is the SimpleXML extension loaded? **/ )
            {
                throw new Exception( 'You don\'t have the SimpleXML lib loaded.' );
                /** If not, throw an exception **/
            }
        }
        /** if $dev_api and $user_api aren't the default values of null, set them in the class. **/
        if ( !is_null($dev_api) ) $this->dev_api = $dev_api;
        if ( !is_null($user_api) ) $this->user_api = $user_api;
    }

    /**
     * PingFM_Wrapper::act()
     * 
     * @param string  $method             What we're carrying, this is taken care of with the PingFM_Functions extension
     * @param mixed   $extra_post_fields  Any extra fields required, these are taken care of with the PingFM_Functions extension
     * @return bool   $status 			  Whether the action completed successfully or not
     */
    public function act( $method = '', $extra_post_fields = array( /** You'll need to fill this in if you're using a method that needs more that just the API codes */ ) )
    {
        if ( !in_array($method, self::$methods) ) throw new Exception( 'The selected method: ' . $method . ' is not supported by Ping.fm' );
        /** Throw an error if the method isn't supported */
        $extra_post_fields = $this->_check_fields( $method, $extra_post_fields );
        /** Check all the fields are correct, if they're not fix them if we can. Otherwise we'll throw an exception (see method _check_fields() for more details.) */
        $post = array_merge( array('api_key' => $this->dev_api, 'user_app_key' => $this->user_api), $extra_post_fields );
        /** Merge the APIs with any extra post fields */
        $ch = curl_init();
        /** Start a cURL instance called $ch */
        curl_setopt( $ch, CURLOPT_POST, true );
        /** We will be sending POST fields, tell cURL that we are */
        curl_setopt( $ch, CURLOPT_POSTFIELDS, $post );
        /** Attach the POST fields themselves */
        curl_setopt( $ch, CURLOPT_RETURNTRANSFER, true );
        /** Don't output to the browser */
        curl_setopt( $ch, CURLOPT_URL, constant('self::' . strtoupper($method) . '_URL') );
        /** What URL should we post to? */
        $this->reply = curl_exec( $ch );
        /** Get the raw reply, set it to $this->reply for access */
        curl_close( $ch );
        /** Free up the resources */
        $this->_parse_reply( $method );
        /** Parse it, see method below */
        return ( $this->xml->attributes()->status == 'OK' or $this->xml->attributes()->status == '' ) ? true : false;
        /** Sometimes it glitches and a status isn't returned, if this happens, or it equals 'OK', return true. Else return false. */
    }

    /**
     * PingFM_Wrapper::_parse_reply()
     * 
     * @param   string $method  What method are we parsing for.
     * @return  bool   true     Always true upon success
     */
    protected function _parse_reply( $method )
    {
        if ( !$this->reply ) throw new Exception( 'Raw reply could not be found.' );
        $this->xml = $xml = simplexml_load_string( $this->reply );
        /** Parse the raw reply, set it to XML for access from within this function, and to $this->xml if the programmer wants to access it later */
        if ( $xml->attributes()->status == 'FAIL' ) throw new Exception( $this->xml->message );
        $details['transaction'] = ( string )$xml->transaction;
        switch ( $method ):
            case 'validate':
            case 'post':
            case 'tpost':
                /** Nothing to do! - All it returns is the method and the transaction ID. */
                break;
                /** End validate, post, tpost */
            case 'services':
                $details['number_of_services'] = ( int )count( $xml->services->service );
                if ( $details['number_of_services'] > 0 )
                {
                    foreach ( $xml->services->service as $service )
                    {
                        $name = ( string )$service->attributes()->id;
                        $details['services'][$name]['name'] = ( string )$service->attributes()->name;
                        $method = ( string )$service->methods;
                        $methods = ( strstr($method, ',') ) ? explode( ',', $method ) : $method;
                        if ( is_array($methods) )
                        {
                            foreach ( $methods as $method )
                            {
                                $details['services'][$name]['methods'][] = ( string )$method;
                            }
                        }
                        else
                            if ( is_string($methods) )
                            {
                                $details['services'][$name]['methods'][] = ( string )$method;
                            }
                        $details['services'][$name]['number_of_methods'] = count( $details['services'][$name]['methods'] );
                    }
                }
                break;
                /** End services */
            case 'triggers':
                $details['number_of_triggers'] = ( int )count( $xml->triggers->trigger );
                if ( $details['number_of_triggers'] > 0 )
                {
                    foreach ( $xml->triggers->trigger as $trigger )
                    {
                        $name = ( string )$trigger->attributes()->id;
                        $details['triggers'][$name]['name'] = ( string )$trigger->attributes()->id;
                        $details['triggers'][$name]['method'] = ( string )$trigger->attributes()->method;
                        $details['triggers'][$name]['number_of_affected_services'] = count( $trigger->services->service );
                        if ( $details['triggers'][$name]['number_of_affected_services'] > 0 )
                        {
                            foreach ( $trigger->services->service as $service )
                            {
                                $id = ( string )$service->attributes()->id;
                                $details['triggers'][$name]['services'][$id] = ( string )$service->attributes()->name;
                            }
                        }
                    }
                }
                break;
                /** End triggers */
            case 'latest':
                $details['number_of_messages_returned'] = ( int )count( $xml->messages->message );
                if ( $details['number_of_messages_returned'] > 0 )
                {
                    foreach ( $xml->messages->message as $message )
                    {
                        $id = ( string )$message->attributes()->id;
                        $details['messages'][$id]['id'] = ( string )$id;
                        $details['messages'][$id]['method'] = ( string )$message->attributes()->method;
                        $details['messages'][$id]['date']['unix'] = ( string )$message->date->attributes()->unix;
                        $details['messages'][$id]['date']['rfc'] = ( string )$message->date->attributes()->rfc;
                        $details['messages'][$id]['body'] = base64_decode( (string )$message->content->body );
                        $details['messages'][$id]['number_of_services'] = ( int )count( $message->services->service );
                        if ( $details['messages'][$id]['number_of_services'] > 0 )
                        {
                            foreach ( $message->services->service as $service )
                            {
                                $sid = ( string )$service->attributes()->id;
                                $details['messages'][$id]['services'][$sid] = ( string )$service->attributes()->name;
                            }
                        }
                    }
                }
                break;
                /** End latest */
            case 'message':
                $message = $xml->message;
                $details['id'] = ( string )$message->attributes()->id;
                $details['method'] = ( string )$message->attributes()->method;
                $details['date']['unix'] = ( string )$message->date->attributes()->unix;
                $details['date']['rfc'] = ( string )$message->date->attributes()->rfc;
                $details['body'] = base64_decode( (string )$message->content->body );
                $details['number_of_services'] = ( int )count( $message->services->service );
                if ( $details['number_of_services'] > 0 )
                {
                    foreach ( $message->services->service as $service )
                    {
                        $sid = ( string )$service->attributes()->id;
                        $details['services'][$sid] = ( string )$service->attributes()->name;
                    }
                }
                break;
                /** End message */
        endswitch;
        $this->details = $details;
        return true;
    }

    /**
     * PingFM_Wrapper::_check_fields()
     * 
     * @param  string $method  This is used within the class, no need to use this.
     * @param  string $fields  This is used within the class, no need to use this.
     * @return array  $fields  Fixed fields
     */
    protected function _check_fields( $method, $fields )
    {
        if ( in_array($method, array('validate', 'services', 'triggers')) ) return array();
        /** These don't require extra post fields */
        switch ( $method ):
            case 'latest':
                /** Start latest */
                if ( !empty($fields['limit']) ) /** It's optional, only enforce it if it's an non-empty value */
                {
                    $fields['limit'] = intval( $fields['limit'] );
                    /** Has to be an integer */
                    if ( $fields['limit'] < 0 ) /** If it's less than 0 (aka Invalid)... */
                    {
                        $fields['limit'] = 25;
                        /** Set it to the default: 25 */
                    }
                }
                if ( !empty($fields['order']) ) /** As above */
                {
                    $fields['order'] = strtoupper( $fields['order'] );
                    /** It takes ASC or DESC values, make it uppercase just in case */
                    if ( $fields['order'] != 'ASC' and $fields['order'] != 'DESC' ) /** If it's not one of the acceptable values */
                    {
                        $fields['order'] = 'DESC';
                        /** Then set it to the default */
                    }
                }
                break;
                /** End latest */
            case 'message':
                /** Start message */
                if ( empty($fields['message_id']) ) throw new Exception( 'No message_id specified.' );
                /** If (the required field) message_id is not set, throw an exception */
                else /** Otherwise... check if it's good to go */
                {
                    $fields['message_id'] = intval( $fields['message_id'] );
                    /** It like totally has to be an integer */
                    if ( $fields['message_id'] < 0 ) throw new Exception( 'message_id is an invalid negative value.' );
                    /** If it's less than 0, throw an exception */
                }
                break;
                /** End message */
            case 'post':
                /** Start post */
                if ( empty($fields['post_method']) ) throw new Exception( 'post_method is not set.' );
                /** If post_method is not set, or it is not an acceptable value. Throw an error showing acceptable values */
                $fields['post_method'] = strtolower( $fields['post_method'] );
                /** Make it lower */
                if ( !in_array($fields['post_method'], self::$post_methods) ) throw new Exception( 'post_method is not an acceptable value: ' . implode(', ', $this->$post_methods) );
                if ( empty($fields['body']) ) throw new Exception( 'No body set' );
                if ( $fields['post_method'] == 'status' ) /** If it's a status */
                {
                    $fields['body'] = substr( strip_tags($fields['body']), 0, 200 );
                    /** Max 200 chars, tags are stripped - Reflected in above code */
                    if ( isset($fields['title']) ) unset( $fields['title'] );
                    /** It's a status, so we don't need the title, remove it */
                }
                /** End status */
                if ( $fields['post_method'] == 'blog' ) /** If it's a blog */
                {
                    if ( empty($fields['title']) ) throw new Exception( 'A title is required for blogging.' );
                    /** 'blog' option requires a title to be set. */
                    $fields['title'] = strip_tags( $fields['title'] );
                    /** Can't have tags in the title itself */
                }
                /** End blog */
                if ( $fields['post_method'] == 'microblog' )
                {
                    /** If it's a microblog */
                    $fields['body'] = substr( strip_tags($fields['body']), 0, 140 );
                    /** Max 140 chars, tags are stripped - Reflected in above code */
                    if ( isset($fields['title']) ) unset( $fields['title'] );
                    /** It's a microblog, so we don't need the title, remove it */
                }
                /** End microblog */
                if ( is_array($fields['service']) ) /** If it's an array */
                {
                    $fields['service'] = array_map( 'trim', $fields['service'] );
                    /** Remove all excess spaces */
                    $fields['service'] = implode( ',', $fields['service'] );
                    /** And implode with comma */
                } elseif ( is_string($fields['service']) ) /** If it's a string */
                {
                    if ( strlen($fields['service']) < 1 ) /** If it's a zero length string... */
                    {
                        unset( $fields['service'] );
                        /** Then we don't want it - it's optional */
                    }
                }
                if ( $fields['debug'] ) $fields['debug'] = 1;
                /** If debug is equal to true, set it to 1 so we don't post data */
                else  unset( $fields['debug'] );
                /** Otherwise it's optional... unset it */
                break;
                /** End message */
            case 'tpost':
                /** Start tpost */
                if ( empty($fields['trigger']) ) throw new Exception( 'No trigger set.' );
                /** You have to set a trigger, otherwise throw an exception */
                if ( empty($fields['body']) ) throw new Exception( 'No body set.' );
                /** You have to set a body, otherwise throw an exception */
                if ( $fields['debug'] ) $fields['debug'] = 1;
                /** If debug is equal to true, set it to 1 so we don't post data */
                else  unset( $fields['debug'] );
                /** Otherwise it's optional... unset it */
                break;
                /** End tpost */
        endswitch;
        return $fields;
    }
}

/**
 * PingFM_Functions
 * 
 * @package   PingFM_Wrappers
 * @url       http://danltn.com
 * @desc      Set of methods which allow easy access to the Wrapper class
 * @author    Daniel Neville
 * @copyright 2008
 * @version   0.2b
 * @access    public
 * @license   GPL
 */
class PingFM_Functions extends PingFM_Wrapper
{
    /**
     * PingFM_Functions::__construct()
     * 
     * @param  mixed $dev_api
     * @param  mixed $user_api
     * @param  bool  $check
     * @return void
     */
    public function __construct( $dev_api = null, $user_api = null, $check = true )
    {
        parent::__construct( $dev_api, $user_api, $check );
    }

    /**
     * PingFM_Functions::validate()
     * 
     * @return bool $success Whether it ran successfully or not
     */
    public function validate()
    {
        return $this->act( 'validate' );
    }

    /**
     * PingFM_Functions::services()
     * 
     * @return bool $success Whether it ran successfully or not
     */
    public function services()
    {
        return $this->act( 'services' );
    }

    /**
     * PingFM_Functions::triggers()
     * 
     * @return bool $success Whether it ran successfully or not
     */
    public function triggers()
    {
        return $this->act( 'triggers' );
    }

    /**
     * PingFM_Functions::latest()
     * 
     * @param  integer $limit   How many records should we return
     * @param  string  $order   What order (ASC or DESC)
     * @return bool    $success Whether it ran successfully or not
     */
    public function latest( $limit = 25, $order = 'ASC' )
    {
        return $this->act( 'latest', array('limit' => $limit, 'order' => $order) );
    }

    /**
     * PingFM_Functions::message()
     * 
     * @param  integer  $id      What message to return information about
     * @return bool     $success Whether it ran successfully or not
     */
    public function message( $id )
    {
        return $this->act( 'message', array('message_id' => $id) );
    }

    /**
     * PingFM_Functions::post()
     * 
     * @param  string  $post_method  What post method are we using?
     * @param  string  $body         Body of the post request
     * @param  string  $title        Title (optional but required for blog)
     * @param  mixed   $service      Service to affect (optional)
     * @param  integer $debug        Should we actually post, or is this just testing (1 for testing)
     * @return bool    $success      Whether it ran successfully or not
     */
    public function post( $post_method, $body, $title = '', $service = array(''), $debug = 0 )
    {
        return $this->act( 'post', array('body' => $body, 'post_method' => $post_method, 'title' => $title, 'service' => $service, 'debug' => $debug) );
    }

    /**
     * PingFM_Functions::tpost()
     * 
     * @param  string  $trigger What trigger shall will use
     * @param  string  $body    Body of the post request
     * @param  string  $title   Title (optional but required for blog)
     * @param  integer $debug   Should we actually post, or is this just testing (1 for testing)
     * @return bool    $success Whether it ran successfully or not
     */
    public function tpost( $trigger, $body, $title = '', $debug = 0 )
    {
        return $this->act( 'tpost', array('trigger' => $trigger, 'body' => $body, 'title' => $title, 'debug' => $debug) );
    }
}


?>








